package com.miya.miyaloggerdemo;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.SimpleAdapter;

import com.miya.miyalogger.MiyaLogger;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        MiyaLogger.LOG_ENABLE = true;

        //刷新列表
        findViewById(R.id.btnRefreshList).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                refreshListView();
            }
        });

        //删除all
        findViewById(R.id.btnDeleteAllLog).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                MiyaLogger.deleteAllLog();
            }
        });

        //删除
        findViewById(R.id.btnDeleteLog).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                String daysStr = ((EditText) findViewById(R.id.etDays)).getText().toString();
                int days = 0;
                if (!TextUtils.isEmpty(daysStr)) {
                    days = Integer.parseInt(daysStr);
                }
                MiyaLogger.deleteLog(days);
            }
        });

        //写日志
        findViewById(R.id.btnWriteLog).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                MiyaLogger.writeLog(getApplication().getApplicationContext(), "caonima");
            }
        });


        //log w
        findViewById(R.id.btnW).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                MiyaLogger.w("pupu", "caonima");
            }
        });

        //log e
        findViewById(R.id.btnE).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                MiyaLogger.e("pupu", "caonima");
            }
        });

        //log i
        findViewById(R.id.btnI).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                MiyaLogger.i("pupu", "caonima");
            }
        });

        //log v
        findViewById(R.id.btnV).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                MiyaLogger.v("pupu", "caonima");
            }
        });

        //log 4k
        findViewById(R.id.btn4K).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                MiyaLogger.i("pupu", "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "caonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonimacaonima" +
                        "");
            }
        });

        //init listview
        refreshListView();
    }

    void refreshListView() {
        List<String> logFileList = MiyaLogger.getLogFileList();

        ListView listView = findViewById(R.id.lvLogFile);
        List<Map<String, Object>> listData = new ArrayList<>();
        if (logFileList == null || logFileList.size() == 0) {
        } else {
            for (String temp : logFileList) {
                MiyaLogger.i("pupu", "fileName==>" + temp);
                HashMap<String, Object> map = new HashMap<String, Object>();
                map.put("name", temp);
                listData.add(map);
            }
        }

        listView.setAdapter(new SimpleAdapter(this, listData, R.layout.layout_list_log_file, new String[]{"name"}, new int[]{R.id.tvFileName}));
    }
}
